## tmpreaper-1.4.13.tar.gz

=== Makefile ===
VERSION = 1.4.13

CC	:= gcc
CFLAGS  = -g -O2

SHELL = /bin/sh

# -------------------------------------------------
override CFLAGS += -Wall -DVERSION=\"$(VERSION)\"

all: tmpreaper

tmpreaper: tmpreaper.c

install: tmpreaper
	install -s -o root -g root -m 0755 tmpreaper $(PREFIX)/usr/sbin/tmpreaper
	install -o root -g root -m 0644 tmpreaper.8 $(PREFIX)/usr/share/man/man8/tmpreaper.8

clean:
	-rm -f tmpreaper core *~

# ----------- Archiving rules --------------------
tar.gz: clean
	tar --create --directory=.. --file=../tmpreaper-$(VERSION).tar $(shell basename `pwd`)
	gzip -9 ../tmpreaper-$(VERSION).tar

tar.bz2: clean
	tar --create --directory=.. --file=../tmpreaper-$(VERSION).tar $(shell basename `pwd`)
	bzip2 ../tmpreaper-$(VERSION).tar

=== debian/changelog ===
tmpreaper (1.4.13) unstable; urgency=medium

  * close dirhandle after using it.       closes:#71660
  * fix checking for '.' and '..', which fixes a possibility of a directory
    being assumed empty while it wasn't.  closes:#99507
  * Added debhelper to Build-Depends.
  * Updated Standards-Version: to 3.5.
  * Added README for non-debian users, and updated LSM entry, and uploaded to
    sunsite.  Also renamed ChangeLog to ChangeLog.old, as that hadn't been
    updated for sime time. This debian changelog is now the "official"
    changelog now.

 -- Paul Slootman <paul@debian.org>  Sat,  2 Jun 2001 11:38:09 +0200

tmpreaper (1.4.12) stable unstable; urgency=high

  * Limit fork recursion to foil deep directory nesting attack.
    closes:#71249

 -- Paul Slootman <paul@debian.org>  Tue, 12 Sep 2000 11:56:27 +0200

tmpreaper (1.4.11) unstable; urgency=low

  * Handle filenames of the form ".a" correctly, not like "..". Oops.
    closes:#53245
  * Exclude lost+found in the example cron script. closes:#53285

 -- Paul Slootman <paul@debian.org>  Wed, 22 Dec 1999 17:44:21 +0100

tmpreaper (1.4.10) unstable; urgency=low

  * Updated Standards-Version to 3.0.1.
  * Fixed a formatting error in the manpage.

 -- Paul Slootman <paul@debian.org>  Wed, 27 Oct 1999 18:22:40 +0200

tmpreaper (1.4.9) unstable; urgency=low

  * Added --mtime-dir option to use mtime checking for directories only, which
    don't get removed when atime checking is used (reading the directory
    updates the atime!). closes:#34522
  * Put -mtime-dir into default cron entry.

 -- Paul Slootman <paul@debian.org>  Wed,  7 Apr 1999 09:50:57 +0200

tmpreaper (1.4.8) unstable; urgency=low

  * New maintainer.
  * Updated Standards-Version to 2.4.1.4.
  * Changed priority to extra, as you really only need this package if you
    have specialised requirements (i.e. a system with untrusted users).
  * Nothing significant changed, a couple of messages fixed to be more
    similar to the rest.
  * Converted C++ - style comments to plain C comments, as this isn't C++
    source.

 -- Paul Slootman <paul@debian.org>  Mon, 14 Sep 1998 15:04:09 +0200

tmpreaper (1.4.7) frozen unstable; urgency=low

  * Apply bugfixes from Jorg Schuler <jcs@hatarakibachi.pond.sub.org>.
    See ChangeLog. (Fixes:#22903,#22934)
  
  * Jorg Schuler's patch also protects `.iroha' and `.ki2' (are they files
    or sockets?) in /tmp.
  
  * New function `dir_empty_p'; check that a dir is empty prior to
    rmdir().  (Fixes:#22770)

 -- Karl M. Hegbloom <karlheg@debian.org>  Sat, 30 May 1998 09:15:20 -0700

tmpreaper (1.4.6) frozen unstable; urgency=high

  * Also send into the freezer with hamm.
  * Fixed one lintian warning, and one lintian error.

 -- Karl M. Hegbloom <karlheg@debian.org>  Sun, 17 May 1998 18:59:48 -0700

tmpreaper (1.4.5) unstable; urgency=low

  * Implement the `--mtime' switch: (Fixes #19519)

 -- Karl M. Hegbloom <karlheg@debian.org>  Sun, 17 May 1998 17:32:41 -0700

tmpreaper (1.4.4) frozen unstable; urgency=high

  * (tmpreaper.c): Updated the year in copyright statement.
    - Added a missing newline to a message string in a rare fatal error.
    - Remembered args to flag test macros.
  * (tmpreaper.8): Split the overly complex brace expansion in the example
    into two separate --protect clauses. (Fixes #22528)
  * Further changes in ChangeLog.

 -- Karl M. Hegbloom <karlheg@debian.org>  Sun, 17 May 1998 11:47:47 -0700

tmpreaper (1.4.3-2) unstable; urgency=low

  * No need to line-buffer stderr.

 -- Karl M. Hegbloom <karlheg@debian.org>  Tue,  3 Feb 1998 15:59:12 -0800

tmpreaper (1.4.3-1) unstable; urgency=low

  * Use line-buffered I/O for stdout and stderr, so that even when the
    output is being piped to a file, it gets flushed after a newline.
    (see: APUE pp. 189-190)
    Bug pointed out by Joey Hess <joey@kitenet.net>.

 -- Karl M. Hegbloom <karlheg@debian.org>  Mon, 26 Jan 1998 19:55:43 -0800

tmpreaper (1.4.2-1) unstable; urgency=low

  * Put single quotes around <protect_pattern> in help output.
  * Start bumping the right version number. (I'll learn.)

 -- Karl M. Hegbloom <karlheg@debian.org>  Fri, 23 Jan 1998 03:30:54 -0800

tmpreaper (1.4.1-4) unstable; urgency=low

  * Removed `-m386 -malign-double' from CFLAGS in Makefile, fixes #16607
  * Added `build-stamp' to the `dh_clean' line in `debian/rules clean'
    Fixes #16608.

 -- Karl M. Hegbloom <karlheg@debian.org>  Fri,  9 Jan 1998 12:03:07 -0800

tmpreaper (1.4.1-3) unstable; urgency=low

  * Changed architecture from i386 to any.  I should work fine on the non-intel ports.
  * Address to @debian.org rather than @bittersweet.

 -- Karl M. Hegbloom <karlheg@debian.org>  Mon, 22 Dec 1997 20:10:25 -0800

tmpreaper (1.4.1-2) unstable; urgency=low

  * Added `Replaces: tmpwatch' to fix bug #15732

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Tue,  9 Dec 1997 03:09:49 -0800

tmpreaper (1.4.1-1) unstable; urgency=low

  * Renaming from `tmpwatch' to `tmpreaper' to split away from RedHat, who
    released a `tmpwatch-1.4' that had zero of the patches I sent them.
  
 -- Karl M. Hegbloom <karlheg@inetarena.com>  Sun,  7 Dec 1997 13:42:03 -0800

tmpwatch (1.4-2) unstable; urgency=low

  * Put under CVS, and begin to use `cvs-buildpackage', I hope.
  * Removed `--test' switch in "/etc/cron.daily/tmpwatch"
  * Updated the description in the control file -- I am letting the
    installer know about the cron script and what it will do, and am
    soliciting feedback regarding the cron script.
  * Moved to section admin, priority optional.  Should this be program
    be base/standard?
  * RedHat 5.0 is shipping `tmpwatch-1.4'; they've accepted my changes. :-)

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Thu,  4 Dec 1997 13:28:27 -0800

tmpwatch (1.4-1) unstable; urgency=low

  * Default the timespec back to hours, and make it so a suffix can be
    tacked onto it: `d', `h', `m', or `s' for days, hours, minutes, or


=== debian/control ===
Source: tmpreaper
Section: admin
Priority: extra
Maintainer: Paul Slootman <paul@debian.org>
Standards-Version: 3.5.4
Build-Depends: debhelper

Package: tmpreaper
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: tmpwatch
Replaces: tmpwatch
Description: Cleans up files in directories based on their age
 This package provides a program that can be used to clean out temporary-file
 directories.  It recursively searches the directory, refusing to chdir()
 across symlinks, and removes files that haven't been accessed in a
 user-specified amount of time.  You can specify a set of files to protect
 from deletion with a shell pattern.  It will not remove files owned by the
 process EUID that have the `w' bit clear, unless you ask it to, much like
 `rm -f'.  `tmpreaper' will not remove symlinks, sockets, fifos, or special
 files unless given a command line option enabling it to.
 .
 WARNING:  Please do not run `tmpreaper' on `/'.  There are no protections
 against this written into the program, as that would prevent it from
 functioning the way you'd expect it to in a `chroot(8)' environment.
